Skip to main content

Token Bound Accounts

Validado on-chain (Sepolia, ERC-4337)
Suite adv-write — ERC-6551 execute_batch validado on-chain.

Gerada automaticamente do spec OpenAPI da API (fonte de verdade). 14 endpoint(s).

List TBAs

GET /v1/tba

List all Token Bound Accounts for the tenant

Auth: api-key

Respostas: 200, 401


Create TBA

POST /v1/tba

Create a Token Bound Account for an ERC-721 NFT

Auth: api-key

Request body:

CampoTipoObrigatórioDescrição

Respostas: 201, 400, 401


Get TBA

GET /v1/tba/{id}

Get Token Bound Account details by ID

Auth: api-key

Path params: id

Respostas: 200, 401, 404


Predict TBA address

GET /v1/tba/{id}/account

Predict the Token Bound Account address from the registry

Auth: api-key

Path params: id

Respostas: 200, 401, 404


Get account implementation

GET /v1/tba/{id}/account_implementation

Get the account implementation address from the ERC-6551 registry

Auth: api-key

Path params: id

Respostas: 200, 401


Get TBA balance

GET /v1/tba/{id}/balance

Get ETH and token balances for a TBA

Auth: api-key

Path params: id

Respostas: 200, 401, 404


Execute TBA

POST /v1/tba/{id}/execute

Execute a call from a Token Bound Account

Auth: api-key

Path params: id

Request body:

CampoTipoObrigatórioDescrição

Respostas: 201, 400, 401


Execute batch TBA

POST /v1/tba/{id}/execute_batch

Execute a batch of calls from a Token Bound Account

Auth: api-key

Path params: id

Request body:

CampoTipoObrigatórioDescrição

Respostas: 201, 400, 401


Validate signature (EIP-1271)

GET /v1/tba/{id}/is_valid_signature

Check if a signature is valid for this Token Bound Account using EIP-1271

Auth: api-key

Path params: id

Respostas: 200, 401, 404


Check valid signer

GET /v1/tba/{id}/is_valid_signer

Check if an address is a valid signer for this Token Bound Account

Auth: api-key

Path params: id

Respostas: 200, 401, 404


Get account state

GET /v1/tba/{id}/state

Get the on-chain state of this Token Bound Account

Auth: api-key

Path params: id

Respostas: 200, 401, 404


Get bound NFT info

GET /v1/tba/{id}/token

Get the NFT bound to this Token Bound Account

Auth: api-key

Path params: id

Respostas: 200, 401, 404


Get total accounts

GET /v1/tba/{id}/total_accounts

Get the total number of accounts created by the ERC-6551 registry

Auth: api-key

Path params: id

Respostas: 200, 401


Get TBA for NFT

GET /v1/tokens/{id}/nfts/{tokenId}/tba

Get the Token Bound Account associated with a specific NFT

Auth: api-key

Path params: id, tokenId

Respostas: 200, 401, 404